@import 'src/variables';

footer {
  position: absolute;
  bottom: 0;
  width: calc(100% - 80px);
  height: 120px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background: $primaryGreyColor;
  color: $thirdGreyColor;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  padding: 0 40px;
  .footer_text {
    display: flex;
    flex-direction: column;
    gap: 8px;
    a {
      color: $secondaryGreyColor;
      &:hover {
        border-bottom: 1px solid $thirdGreyColor;
      }
    }
  }
  .contacts {
    display: flex;
    gap: 12px;
    .contact_link {
      border: 0.2rem solid $primaryRedColor;
      border-radius: 50%;
      padding: 8px 8px 4px 8px;
      margin: 0;
      .icon {
        height: 24px;
        width: 24px;
        transition: transform 0.5s cubic-bezier(0.5, 0, 0.5, 1);
      }
      &:hover .icon {
        transform: rotateY(360deg);
      }
    }
  }
}
